> ## Documentation Index
> Fetch the complete documentation index at: https://docs.microflowtek.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Contact



## OpenAPI

````yaml https://api.microflowtek.com/openapi.json post /api/contact
openapi: 3.1.0
info:
  title: Microflowtek API
  version: 0.1.0
servers: []
security: []
paths:
  /api/contact:
    post:
      summary: Submit Contact
      operationId: submit_contact_api_contact_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactMessage'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
                title: Response Submit Contact Api Contact Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ContactMessage:
      properties:
        name:
          type: string
          title: Name
        company:
          anyOf:
            - type: string
            - type: 'null'
          title: Company
        email:
          type: string
          format: email
          title: Email
        message:
          type: string
          title: Message
      type: object
      required:
        - name
        - email
        - message
      title: ContactMessage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````